from django.contrib import admin
from django.contrib.admin.utils import flatten_fieldsets

from .models import Device, Stream, DeviceStreams, Pos, MediaServer, Log


class StreamInline(admin.TabularInline):
    model = Device.streams.through


class DeviceAdmin(admin.ModelAdmin):
    inlines = (StreamInline,)
    readonly_fields = ("status",)


admin.site.register(Device, DeviceAdmin)
admin.site.register(MediaServer)
admin.site.register(Stream)
admin.site.register(DeviceStreams)


class PosAdmin(admin.ModelAdmin):
    readonly_fields = ("device", "text", "received_at")

    def has_add_permission(self, request, obj=None):
        return False

    def has_delete_permission(self, request, obj=None):
        return True

admin.site.register(Pos, PosAdmin)
admin.site.register(Log)
