# Generated by Django 3.2 on 2021-04-10 05:55

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Device',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=100)),
                ('host', models.CharField(max_length=100)),
                ('port', models.IntegerField(default=1001)),
                ('enable', models.BooleanField()),
                ('status', models.CharField(max_length=100)),
            ],
            options={
                'verbose_name_plural': 'devices',
            },
        ),
        migrations.CreateModel(
            name='Stream',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=256)),
                ('nx_id', models.CharField(max_length=512)),
            ],
        ),
        migrations.CreateModel(
            name='Pos',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('text', models.TextField()),
                ('received_at', models.DateTimeField()),
                ('device', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='PosMgnt.device')),
            ],
            options={
                'verbose_name_plural': 'poses',
            },
        ),
        migrations.CreateModel(
            name='DeviceStreams',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('device', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='PosMgnt.device')),
                ('stream', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='streams', to='PosMgnt.stream')),
            ],
            options={
                'verbose_name_plural': 'device streams',
            },
        ),
        migrations.AddField(
            model_name='device',
            name='streams',
            field=models.ManyToManyField(through='PosMgnt.DeviceStreams', to='PosMgnt.Stream'),
        ),
    ]
